Package com.scriptel.proscript

## Class TuningStatus

- java.lang.Object
- - com.scriptel.proscript.TuningStatus

-     public final class TuningStatus
      extends java.lang.Object

  This class represents the tuning status of a GENII asicless device

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `LOCATION_1_STYLUS_DOWN` | Stylus is down on the top left tuning box.
    `static int` | `LOCATION_1_STYLUS_UP` | Pad is waiting for stylus to press at the top left tuning box.
    `static int` | `LOCATION_2_STYLUS_DOWN` | Stylus is down on the bottom right tuning box.
    `static int` | `LOCATION_2_STYLUS_UP` | Pad is waiting for stylus to press at the bottom right tuning box.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getDeviceGain()` | Gets the device gain.
    `boolean` | `getTuningAborted()` | Get whether tuning was previous aborted
    `boolean` | `getTuningMode()` | Gets whether tuning is in progress
    `int` | `getTuningState()` | Gets the tuning state.
    `void` | `setDeviceGain​(int deviceGain)` | Sets the device gain.
    `void` | `setTuningAborted​(boolean tuningAborted)` | Sets the tuning aborted
    `void` | `setTuningMode​(boolean tuningMode)` | Sets the tuning Mode
    `void` | `setTuningStatus​(int tuningState)` | Sets the tuning status.
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LOCATION_1_STYLUS_DOWN

          public static final int LOCATION_1_STYLUS_DOWN

      Stylus is down on the top left tuning box.
      See Also:
        Constant Field Values

    - #### LOCATION_1_STYLUS_UP

          public static final int LOCATION_1_STYLUS_UP

      Pad is waiting for stylus to press at the top left tuning box.
      See Also:
        Constant Field Values

    - #### LOCATION_2_STYLUS_DOWN

          public static final int LOCATION_2_STYLUS_DOWN

      Stylus is down on the bottom right tuning box.
      See Also:
        Constant Field Values

    - #### LOCATION_2_STYLUS_UP

          public static final int LOCATION_2_STYLUS_UP

      Pad is waiting for stylus to press at the bottom right tuning box.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Human readable string.

    - #### getTuningAborted

          public boolean getTuningAborted()

      Get whether tuning was previous aborted
      Returns:
        the tuningAborted

    - #### getTuningMode

          public boolean getTuningMode()

      Gets whether tuning is in progress
      Returns:
        the tuningMode

    - #### getTuningState

          public int getTuningState()

      Gets the tuning state.
      Returns:
        the tuningState

    - #### getDeviceGain

          public int getDeviceGain()

      Gets the device gain.
      Returns:
        the deviceGain

    - #### setTuningMode

          public void setTuningMode​(boolean tuningMode)

      Sets the tuning Mode
      Parameters:
        `tuningMode` - the tuning mode to set

    - #### setTuningAborted

          public void setTuningAborted​(boolean tuningAborted)

      Sets the tuning aborted
      Parameters:
        `tuningAborted` - the tuning aborted to set

    - #### setTuningStatus

          public void setTuningStatus​(int tuningState)

      Sets the tuning status.
      Parameters:
        `tuningState` - the tuning status to set

    - #### setDeviceGain

          public void setDeviceGain​(int deviceGain)

      Sets the device gain.
      Parameters:
        `deviceGain` - the deviceGain to set